Bug 16641 - Update Novelist in opac to use updated call to fetch content
Summary: Update Novelist in opac to use updated call to fetch content
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-03 01:24 UTC by Nick Clemens
Modified: 2018-06-04 20:09 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
With this pach you don't see anymore a empty tab if Novelist Select ia active in Opac.
Version(s) released in:


Attachments
Bug 16641 - Update Novelist in opac to use updated call to fetch content (5.48 KB, patch)
2016-06-03 01:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16641: Update Novelist in OPAC to use updated call to fetch content (5.55 KB, patch)
2016-06-14 15:43 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 16641: Update Novelist in OPAC to use updated call to fetch content (5.66 KB, patch)
2016-06-14 15:54 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 16641: Update Novelist in OPAC to use updated call to fetch content (5.73 KB, patch)
2016-10-24 13:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-06-03 01:24:31 UTC
Moved from bug 11606:
3) Update the Koha OPAC code to use loadContentForQuery rather than the deprecated loadContentForISBN

Additionally only display content if results are retrieved
Comment 1 Nick Clemens 2016-06-03 01:27:25 UTC Comment hidden (obsolete)
Comment 2 Jesse Weaver 2016-06-14 15:43:00 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2016-06-14 15:54:03 UTC
Created attachment 52391 [details] [review]
Bug 16641: Update Novelist in OPAC to use updated call to fetch content

To test:
1 - Enable novelistselect content in the opac
2 - Find a record with novelist content, confirm it displays in tabs ro
above or below accoring to pref
3 - Find a record without novelist content, note you get an empty tab
4 - Apply patch
5 - Ensure results have not changed for items with content
6 - Ensure tab does not display for item with no content

Sponsored by:
   Walla Walla Public Library (http://www.wallawallapubliclibrary.org/)
   Los Gatos Library (http://www.losgatosca.gov/42/Los-Gatos-Library)

Signed-off-by: Jesse Weaver <jweaver@bywatersolutions.com>
Internal signoff.

Signed-off-by: Dwayne Nance <dnance@ebsco.com>

Signed-off-by: Alexis Rodegerdts <arodegerdts@wallawallawa.gov>
Comment 4 Marcel de Rooy 2016-08-19 06:09:54 UTC
Any test credentials available to test this?
Comment 5 Katrin Fischer 2016-10-24 13:24:52 UTC
This only touches Novelist Select related code, changes are consistent, no regressions found on the detail page.

Credentials to test this properly would still be good :)
Comment 6 Katrin Fischer 2016-10-24 13:26:06 UTC
Created attachment 56770 [details] [review]
[PASSED QA] Bug 16641: Update Novelist in OPAC to use updated call to fetch content

To test:
1 - Enable novelistselect content in the opac
2 - Find a record with novelist content, confirm it displays in tabs ro
above or below accoring to pref
3 - Find a record without novelist content, note you get an empty tab
4 - Apply patch
5 - Ensure results have not changed for items with content
6 - Ensure tab does not display for item with no content

Sponsored by:
   Walla Walla Public Library (http://www.wallawallapubliclibrary.org/)
   Los Gatos Library (http://www.losgatosca.gov/42/Los-Gatos-Library)

Signed-off-by: Jesse Weaver <jweaver@bywatersolutions.com>
Internal signoff.

Signed-off-by: Dwayne Nance <dnance@ebsco.com>

Signed-off-by: Alexis Rodegerdts <arodegerdts@wallawallawa.gov>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 7 Kyle M Hall 2016-10-28 15:28:17 UTC
Pushed to master for 16.11, thanks Nick!